Subject: Using FvwmForm to write variables

From: Alex Wallis <[email-masked]>
Date: Wed, 12 Jan 2000 18:28:22 +1030

Having now installed a current snapshot 
(  fvwm-snap-20000111.tar.gz  )
I confirmed the new abilty for FvwmForm to
write right parentheses. It works fine.

But...
I'm still having another similar problem with 
writing files.

Using the '!/bin/echo " ' command I'm trying to get a form 
to write a file containing the line
AddToFunc ReadBackgrounds I Piperead 'for i in `ls /home/awol/.fvwm2/themes/Awol/ConfigFvwmBackerAwol.* 2>/dev/null` ; do echo Read $i ; done'

But using the following line
AddToFunc ReadBackgrounds I Piperead 'for i in \`ls $FVWM_USERHOME/themes/$(ThemeName)/ConfigFvwmBacker$(ThemeName).* 2>/dev/null\` ; do echo Read $i ; done'\n\

or any variant thereof doesn't seem to allow the
last "$i" to be written, so just a blank space appears.
I've tried using backslashes, quotes etc... but nothing
I can think of works. All I get is "do echo Read   ; done'

Using "$$" just prints a single "$" but I can't get the "i"
to write without it being interpreted and expanded.

Hopefully there's a simple obvious trick I haven't tried yet.
I'd appreciate any clues anyone might be able to provide.

Alex

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]